Bug 240937

Summary: math/py-numpy: enable OPENBLAS by default
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Jan Beich <jbeich>
Status: Closed FIXED    
Severity: Affects Only Me CC: rhurlin, swills
Priority: --- Keywords: patch
Version: LatestFlags: bugzilla: maintainer-feedback? (python)
jbeich: merge-quarterly?
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=243497
Bug Depends on: 240899    
Bug Blocks: 231371    
Attachments:
Description Flags
v1 none

Description Jan Beich freebsd_committer 2019-09-30 10:31:57 UTC
Created attachment 207958 [details]
v1

OpenBLAS is faster than Netlib (reference BLAS implementation). math/suitesparse (dependency) already pulls math/openblas since ports r376360.

Fedora did the same.
https://src.fedoraproject.org/rpms/numpy/c/64fa2c8e7504e7f22fa0672b8838a51848954dea
Comment 1 Steve Wills freebsd_committer 2019-10-23 23:17:33 UTC
This is timed out, please commit
Comment 2 commit-hook freebsd_committer 2019-10-24 00:49:12 UTC
A commit references this bug:

Author: jbeich
Date: Thu Oct 24 00:48:42 UTC 2019
New revision: 515313
URL: https://svnweb.freebsd.org/changeset/ports/515313

Log:
  math/py-numpy: switch to OpenBLAS by default

  Besides being faster consistently using the same BLAS implementation
  should improve stability in case of accidental ABI mismatch.

  PR:		240937
  Approved by:	maintainer timeout (2 weeks)
  MFH:		2019Q4

Changes:
  head/math/py-numpy/Makefile
Comment 3 commit-hook freebsd_committer 2019-10-25 10:05:17 UTC
A commit references this bug:

Author: jbeich
Date: Fri Oct 25 10:04:39 UTC 2019
New revision: 515595
URL: https://svnweb.freebsd.org/changeset/ports/515595

Log:
  math/py-pysparse: unbreak on non-LLD architectures after r515313

  creating /tmp/tmp2txkG8/tmp
  creating /tmp/tmp2txkG8/tmp/tmp2txkG8
  compile options: '-I/usr/include -I/usr/local/include -I/usr/local/include/suitesparse -c'
  cc: /tmp/tmp2txkG8/source.c
  cc /tmp/tmp2txkG8/tmp/tmp2txkG8/source.o -L/usr/local/lib -lcblas -o /tmp/tmp2txkG8/a.out
  /usr/local/lib/libcblas.so: undefined reference to `cgemv_'
  /usr/local/lib/libcblas.so: undefined reference to `cscal_'
  /usr/local/lib/libcblas.so: undefined reference to `sdot_'
  /usr/local/lib/libcblas.so: undefined reference to `dtrmm_'
  /usr/local/lib/libcblas.so: undefined reference to `zhpr_'
  /usr/local/lib/libcblas.so: undefined reference to `snrm2_'
  /usr/local/lib/libcblas.so: undefined reference to `zherk_'
  /usr/local/lib/libcblas.so: undefined reference to `sspmv_'
  /usr/local/lib/libcblas.so: undefined reference to `cswap_'
  /usr/local/lib/libcblas.so: undefined reference to `dswap_'
  /usr/local/lib/libcblas.so: undefined reference to `dgemm_'
  /usr/local/lib/libcblas.so: undefined reference to `ztrmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zgbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `ctbsv_'
  /usr/local/lib/libcblas.so: undefined reference to `dger_'
  /usr/local/lib/libcblas.so: undefined reference to `dtpsv_'
  /usr/local/lib/libcblas.so: undefined reference to `sspr_'
  /usr/local/lib/libcblas.so: undefined reference to `cher_'
  /usr/local/lib/libcblas.so: undefined reference to `caxpy_'
  /usr/local/lib/libcblas.so: undefined reference to `ztpsv_'
  /usr/local/lib/libcblas.so: undefined reference to `zscal_'
  /usr/local/lib/libcblas.so: undefined reference to `sswap_'
  /usr/local/lib/libcblas.so: undefined reference to `ctpsv_'
  /usr/local/lib/libcblas.so: undefined reference to `dzasum_'
  /usr/local/lib/libcblas.so: undefined reference to `daxpy_'
  /usr/local/lib/libcblas.so: undefined reference to `ctrsv_'
  /usr/local/lib/libcblas.so: undefined reference to `izamax_'
  /usr/local/lib/libcblas.so: undefined reference to `sasum_'
  /usr/local/lib/libcblas.so: undefined reference to `drotg_'
  /usr/local/lib/libcblas.so: undefined reference to `dsymm_'
  /usr/local/lib/libcblas.so: undefined reference to `zhpr2_'
  /usr/local/lib/libcblas.so: undefined reference to `stpsv_'
  /usr/local/lib/libcblas.so: undefined reference to `ssbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `cgbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zhbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `srotmg_'
  /usr/local/lib/libcblas.so: undefined reference to `cgemm_'
  /usr/local/lib/libcblas.so: undefined reference to `dtpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `chemv_'
  /usr/local/lib/libcblas.so: undefined reference to `ssyr2_'
  /usr/local/lib/libcblas.so: undefined reference to `ctbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `saxpy_'
  /usr/local/lib/libcblas.so: undefined reference to `drotm_'
  /usr/local/lib/libcblas.so: undefined reference to `dnrm2_'
  /usr/local/lib/libcblas.so: undefined reference to `ctrmm_'
  /usr/local/lib/libcblas.so: undefined reference to `ztbsv_'
  /usr/local/lib/libcblas.so: undefined reference to `dtrsv_'
  /usr/local/lib/libcblas.so: undefined reference to `zdotu_'
  /usr/local/lib/libcblas.so: undefined reference to `dsyr_'
  /usr/local/lib/libcblas.so: undefined reference to `srot_'
  /usr/local/lib/libcblas.so: undefined reference to `ccopy_'
  /usr/local/lib/libcblas.so: undefined reference to `zgeru_'
  /usr/local/lib/libcblas.so: undefined reference to `zhpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `csyr2k_'
  /usr/local/lib/libcblas.so: undefined reference to `ctrsm_'
  /usr/local/lib/libcblas.so: undefined reference to `sscal_'
  /usr/local/lib/libcblas.so: undefined reference to `cgerc_'
  /usr/local/lib/libcblas.so: undefined reference to `dcopy_'
  /usr/local/lib/libcblas.so: undefined reference to `scnrm2_'
  /usr/local/lib/libcblas.so: undefined reference to `zgemm_'
  /usr/local/lib/libcblas.so: undefined reference to `sgbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `sspr2_'
  /usr/local/lib/libcblas.so: undefined reference to `ztrsv_'
  /usr/local/lib/libcblas.so: undefined reference to `cgeru_'
  /usr/local/lib/libcblas.so: undefined reference to `dscal_'
  /usr/local/lib/libcblas.so: undefined reference to `dgbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `chpr_'
  /usr/local/lib/libcblas.so: undefined reference to `zdscal_'
  /usr/local/lib/libcblas.so: undefined reference to `strmm_'
  /usr/local/lib/libcblas.so: undefined reference to `ssymm_'
  /usr/local/lib/libcblas.so: undefined reference to `zgemv_'
  /usr/local/lib/libcblas.so: undefined reference to `ddot_'
  /usr/local/lib/libcblas.so: undefined reference to `isamax_'
  /usr/local/lib/libcblas.so: undefined reference to `drotmg_'
  /usr/local/lib/libcblas.so: undefined reference to `zsyrk_'
  /usr/local/lib/libcblas.so: undefined reference to `stbsv_'
  /usr/local/lib/libcblas.so: undefined reference to `strsv_'
  /usr/local/lib/libcblas.so: undefined reference to `scasum_'
  /usr/local/lib/libcblas.so: undefined reference to `srotg_'
  /usr/local/lib/libcblas.so: undefined reference to `sdsdot_'
  /usr/local/lib/libcblas.so: undefined reference to `sgemm_'
  /usr/local/lib/libcblas.so: undefined reference to `scopy_'
  /usr/local/lib/libcblas.so: undefined reference to `zdotc_'
  /usr/local/lib/libcblas.so: undefined reference to `dsyr2k_'
  /usr/local/lib/libcblas.so: undefined reference to `dsyrk_'
  /usr/local/lib/libcblas.so: undefined reference to `csscal_'
  /usr/local/lib/libcblas.so: undefined reference to `dasum_'
  /usr/local/lib/libcblas.so: undefined reference to `ssyr_'
  /usr/local/lib/libcblas.so: undefined reference to `ssyr2k_'
  /usr/local/lib/libcblas.so: undefined reference to `dspr2_'
  /usr/local/lib/libcblas.so: undefined reference to `zher2_'
  /usr/local/lib/libcblas.so: undefined reference to `dtrsm_'
  /usr/local/lib/libcblas.so: undefined reference to `idamax_'
  /usr/local/lib/libcblas.so: undefined reference to `dtbsv_'
  /usr/local/lib/libcblas.so: undefined reference to `ctrmv_'
  /usr/local/lib/libcblas.so: undefined reference to `strmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zaxpy_'
  /usr/local/lib/libcblas.so: undefined reference to `zher_'
  /usr/local/lib/libcblas.so: undefined reference to `ssymv_'
  /usr/local/lib/libcblas.so: undefined reference to `zhemm_'
  /usr/local/lib/libcblas.so: undefined reference to `dtrmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zgerc_'
  /usr/local/lib/libcblas.so: undefined reference to `chemm_'
  /usr/local/lib/libcblas.so: undefined reference to `zher2k_'
  /usr/local/lib/libcblas.so: undefined reference to `ztpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zswap_'
  /usr/local/lib/libcblas.so: undefined reference to `dspmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zsymm_'
  /usr/local/lib/libcblas.so: undefined reference to `ztrmm_'
  /usr/local/lib/libcblas.so: undefined reference to `dtbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `dgemv_'
  /usr/local/lib/libcblas.so: undefined reference to `sgemv_'
  /usr/local/lib/libcblas.so: undefined reference to `chpr2_'
  /usr/local/lib/libcblas.so: undefined reference to `cdotu_'
  /usr/local/lib/libcblas.so: undefined reference to `ctpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `cher2k_'
  /usr/local/lib/libcblas.so: undefined reference to `csymm_'
  /usr/local/lib/libcblas.so: undefined reference to `ztrsm_'
  /usr/local/lib/libcblas.so: undefined reference to `cherk_'
  /usr/local/lib/libcblas.so: undefined reference to `cdotc_'
  /usr/local/lib/libcblas.so: undefined reference to `dsbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `csyrk_'
  /usr/local/lib/libcblas.so: undefined reference to `stpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `chpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `sger_'
  /usr/local/lib/libcblas.so: undefined reference to `cher2_'
  /usr/local/lib/libcblas.so: undefined reference to `zsyr2k_'
  /usr/local/lib/libcblas.so: undefined reference to `strsm_'
  /usr/local/lib/libcblas.so: undefined reference to `dznrm2_'
  /usr/local/lib/libcblas.so: undefined reference to `stbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `chbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `dsyr2_'
  /usr/local/lib/libcblas.so: undefined reference to `dsdot_'
  /usr/local/lib/libcblas.so: undefined reference to `zcopy_'
  /usr/local/lib/libcblas.so: undefined reference to `dspr_'
  /usr/local/lib/libcblas.so: undefined reference to `icamax_'
  /usr/local/lib/libcblas.so: undefined reference to `dsymv_'
  /usr/local/lib/libcblas.so: undefined reference to `zhemv_'
  /usr/local/lib/libcblas.so: undefined reference to `ssyrk_'
  /usr/local/lib/libcblas.so: undefined reference to `srotm_'
  /usr/local/lib/libcblas.so: undefined reference to `drot_'
  /usr/local/lib/libcblas.so: undefined reference to `ztbmv_'
  cc: error: linker command failed with exit code 1 (use -v to see invocation)
  cc /tmp/tmp2txkG8/tmp/tmp2txkG8/source.o -L/usr/local/lib -lblas -o /tmp/tmp2txkG8/a.out
  /tmp/tmp2txkG8/tmp/tmp2txkG8/source.o: In function `main':
  source.c:(.text+0x5c): undefined reference to `cblas_ddot'
  cc: error: linker command failed with exit code 1 (use -v to see invocation)
  Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "setup.py", line 163, in <module>
      setup_package()
    File "setup.py", line 153, in setup_package
      configuration=configuration,
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/core.py", line 137, in setup
      config = configuration()
    File "setup.py", line 62, in configuration
      config.add_subpackage('pysparse')
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 1036, in add_subpackage
      caller_level = 2)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 1005, in get_subpackage
      caller_level = caller_level + 1)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 942, in _get_configuration_from_setup_py
      config = setup_module.configuration(*args)
    File "pysparse/setup.py", line 11, in configuration
      config.add_subpackage('sparse')
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 1036, in add_subpackage
      caller_level = 2)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 1005, in get_subpackage
      caller_level = caller_level + 1)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 942, in _get_configuration_from_setup_py
      config = setup_module.configuration(*args)
    File "pysparse/sparse/setup.py", line 19, in configuration
      blas_info = get_info('blas_opt',0)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 448, in get_info
      return cl().get_info(notfound_action)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 641, in get_info
      self.calc_info()
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 1661, in calc_info
      blas_info = get_info('blas')
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 448, in get_info
      return cl().get_info(notfound_action)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 641, in get_info
      self.calc_info()
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 1697, in calc_info
      lib = self.has_cblas(info)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 1740, in has_cblas
      extra_postargs=info.get('extra_link_args', []))
    File "/usr/local/lib/python2.7/distutils/ccompiler.py", line 700, in link_executable
      debug, extra_preargs, extra_postargs, None, target_lang)
    File "/usr/local/lib/python2.7/distutils/unixccompiler.py", line 202, in link
      raise LinkError, msg
  distutils.errors.LinkError: Command "cc /tmp/tmp2txkG8/tmp/tmp2txkG8/source.o -L/usr/local/lib -lblas -o /tmp/tmp2txkG8/a.out" failed with exit status 1

  PR:		240937
  Reported by:	pkg-fallout

Changes:
  head/math/py-pysparse/Makefile
Comment 4 commit-hook freebsd_committer 2019-10-25 15:40:44 UTC
A commit references this bug:

Author: jbeich
Date: Fri Oct 25 15:40:37 UTC 2019
New revision: 515615
URL: https://svnweb.freebsd.org/changeset/ports/515615

Log:
  math/py-scikit-umfpack: unbreak on non-LLD architectures after r515313

  creating /tmp/tmpFiVPVw/tmp
  creating /tmp/tmpFiVPVw/tmp/tmpFiVPVw
  compile options: '-I/usr/include -I/usr/local/include -I/usr/local/include/suitesparse -c'
  cc: /tmp/tmpFiVPVw/source.c
  cc /tmp/tmpFiVPVw/tmp/tmpFiVPVw/source.o -L/usr/local/lib -lcblas -o /tmp/tmpFiVPVw/a.out
  /usr/local/lib/libcblas.so: undefined reference to `cgemv_'
  /usr/local/lib/libcblas.so: undefined reference to `cscal_'
  /usr/local/lib/libcblas.so: undefined reference to `sdot_'
  /usr/local/lib/libcblas.so: undefined reference to `dtrmm_'
  /usr/local/lib/libcblas.so: undefined reference to `zhpr_'
  /usr/local/lib/libcblas.so: undefined reference to `snrm2_'
  /usr/local/lib/libcblas.so: undefined reference to `zherk_'
  /usr/local/lib/libcblas.so: undefined reference to `sspmv_'
  /usr/local/lib/libcblas.so: undefined reference to `cswap_'
  /usr/local/lib/libcblas.so: undefined reference to `dswap_'
  /usr/local/lib/libcblas.so: undefined reference to `dgemm_'
  /usr/local/lib/libcblas.so: undefined reference to `ztrmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zgbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `ctbsv_'
  /usr/local/lib/libcblas.so: undefined reference to `dger_'
  /usr/local/lib/libcblas.so: undefined reference to `dtpsv_'
  /usr/local/lib/libcblas.so: undefined reference to `sspr_'
  /usr/local/lib/libcblas.so: undefined reference to `cher_'
  /usr/local/lib/libcblas.so: undefined reference to `caxpy_'
  /usr/local/lib/libcblas.so: undefined reference to `ztpsv_'
  /usr/local/lib/libcblas.so: undefined reference to `zscal_'
  /usr/local/lib/libcblas.so: undefined reference to `sswap_'
  /usr/local/lib/libcblas.so: undefined reference to `ctpsv_'
  /usr/local/lib/libcblas.so: undefined reference to `dzasum_'
  /usr/local/lib/libcblas.so: undefined reference to `daxpy_'
  /usr/local/lib/libcblas.so: undefined reference to `ctrsv_'
  /usr/local/lib/libcblas.so: undefined reference to `izamax_'
  /usr/local/lib/libcblas.so: undefined reference to `sasum_'
  /usr/local/lib/libcblas.so: undefined reference to `drotg_'
  /usr/local/lib/libcblas.so: undefined reference to `dsymm_'
  /usr/local/lib/libcblas.so: undefined reference to `zhpr2_'
  /usr/local/lib/libcblas.so: undefined reference to `stpsv_'
  /usr/local/lib/libcblas.so: undefined reference to `ssbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `cgbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zhbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `srotmg_'
  /usr/local/lib/libcblas.so: undefined reference to `cgemm_'
  /usr/local/lib/libcblas.so: undefined reference to `dtpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `chemv_'
  /usr/local/lib/libcblas.so: undefined reference to `ssyr2_'
  /usr/local/lib/libcblas.so: undefined reference to `ctbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `saxpy_'
  /usr/local/lib/libcblas.so: undefined reference to `drotm_'
  /usr/local/lib/libcblas.so: undefined reference to `dnrm2_'
  /usr/local/lib/libcblas.so: undefined reference to `ctrmm_'
  /usr/local/lib/libcblas.so: undefined reference to `ztbsv_'
  /usr/local/lib/libcblas.so: undefined reference to `dtrsv_'
  /usr/local/lib/libcblas.so: undefined reference to `zdotu_'
  /usr/local/lib/libcblas.so: undefined reference to `dsyr_'
  /usr/local/lib/libcblas.so: undefined reference to `srot_'
  /usr/local/lib/libcblas.so: undefined reference to `ccopy_'
  /usr/local/lib/libcblas.so: undefined reference to `zgeru_'
  /usr/local/lib/libcblas.so: undefined reference to `zhpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `csyr2k_'
  /usr/local/lib/libcblas.so: undefined reference to `ctrsm_'
  /usr/local/lib/libcblas.so: undefined reference to `sscal_'
  /usr/local/lib/libcblas.so: undefined reference to `cgerc_'
  /usr/local/lib/libcblas.so: undefined reference to `dcopy_'
  /usr/local/lib/libcblas.so: undefined reference to `scnrm2_'
  /usr/local/lib/libcblas.so: undefined reference to `zgemm_'
  /usr/local/lib/libcblas.so: undefined reference to `sgbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `sspr2_'
  /usr/local/lib/libcblas.so: undefined reference to `ztrsv_'
  /usr/local/lib/libcblas.so: undefined reference to `cgeru_'
  /usr/local/lib/libcblas.so: undefined reference to `dscal_'
  /usr/local/lib/libcblas.so: undefined reference to `dgbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `chpr_'
  /usr/local/lib/libcblas.so: undefined reference to `zdscal_'
  /usr/local/lib/libcblas.so: undefined reference to `strmm_'
  /usr/local/lib/libcblas.so: undefined reference to `ssymm_'
  /usr/local/lib/libcblas.so: undefined reference to `zgemv_'
  /usr/local/lib/libcblas.so: undefined reference to `ddot_'
  /usr/local/lib/libcblas.so: undefined reference to `isamax_'
  /usr/local/lib/libcblas.so: undefined reference to `drotmg_'
  /usr/local/lib/libcblas.so: undefined reference to `zsyrk_'
  /usr/local/lib/libcblas.so: undefined reference to `stbsv_'
  /usr/local/lib/libcblas.so: undefined reference to `strsv_'
  /usr/local/lib/libcblas.so: undefined reference to `scasum_'
  /usr/local/lib/libcblas.so: undefined reference to `srotg_'
  /usr/local/lib/libcblas.so: undefined reference to `sdsdot_'
  /usr/local/lib/libcblas.so: undefined reference to `sgemm_'
  /usr/local/lib/libcblas.so: undefined reference to `scopy_'
  /usr/local/lib/libcblas.so: undefined reference to `zdotc_'
  /usr/local/lib/libcblas.so: undefined reference to `dsyr2k_'
  /usr/local/lib/libcblas.so: undefined reference to `dsyrk_'
  /usr/local/lib/libcblas.so: undefined reference to `csscal_'
  /usr/local/lib/libcblas.so: undefined reference to `dasum_'
  /usr/local/lib/libcblas.so: undefined reference to `ssyr_'
  /usr/local/lib/libcblas.so: undefined reference to `ssyr2k_'
  /usr/local/lib/libcblas.so: undefined reference to `dspr2_'
  /usr/local/lib/libcblas.so: undefined reference to `zher2_'
  /usr/local/lib/libcblas.so: undefined reference to `dtrsm_'
  /usr/local/lib/libcblas.so: undefined reference to `idamax_'
  /usr/local/lib/libcblas.so: undefined reference to `dtbsv_'
  /usr/local/lib/libcblas.so: undefined reference to `ctrmv_'
  /usr/local/lib/libcblas.so: undefined reference to `strmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zaxpy_'
  /usr/local/lib/libcblas.so: undefined reference to `zher_'
  /usr/local/lib/libcblas.so: undefined reference to `ssymv_'
  /usr/local/lib/libcblas.so: undefined reference to `zhemm_'
  /usr/local/lib/libcblas.so: undefined reference to `dtrmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zgerc_'
  /usr/local/lib/libcblas.so: undefined reference to `chemm_'
  /usr/local/lib/libcblas.so: undefined reference to `zher2k_'
  /usr/local/lib/libcblas.so: undefined reference to `ztpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zswap_'
  /usr/local/lib/libcblas.so: undefined reference to `dspmv_'
  /usr/local/lib/libcblas.so: undefined reference to `zsymm_'
  /usr/local/lib/libcblas.so: undefined reference to `ztrmm_'
  /usr/local/lib/libcblas.so: undefined reference to `dtbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `dgemv_'
  /usr/local/lib/libcblas.so: undefined reference to `sgemv_'
  /usr/local/lib/libcblas.so: undefined reference to `chpr2_'
  /usr/local/lib/libcblas.so: undefined reference to `cdotu_'
  /usr/local/lib/libcblas.so: undefined reference to `ctpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `cher2k_'
  /usr/local/lib/libcblas.so: undefined reference to `csymm_'
  /usr/local/lib/libcblas.so: undefined reference to `ztrsm_'
  /usr/local/lib/libcblas.so: undefined reference to `cherk_'
  /usr/local/lib/libcblas.so: undefined reference to `cdotc_'
  /usr/local/lib/libcblas.so: undefined reference to `dsbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `csyrk_'
  /usr/local/lib/libcblas.so: undefined reference to `stpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `chpmv_'
  /usr/local/lib/libcblas.so: undefined reference to `sger_'
  /usr/local/lib/libcblas.so: undefined reference to `cher2_'
  /usr/local/lib/libcblas.so: undefined reference to `zsyr2k_'
  /usr/local/lib/libcblas.so: undefined reference to `strsm_'
  /usr/local/lib/libcblas.so: undefined reference to `dznrm2_'
  /usr/local/lib/libcblas.so: undefined reference to `stbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `chbmv_'
  /usr/local/lib/libcblas.so: undefined reference to `dsyr2_'
  /usr/local/lib/libcblas.so: undefined reference to `dsdot_'
  /usr/local/lib/libcblas.so: undefined reference to `zcopy_'
  /usr/local/lib/libcblas.so: undefined reference to `dspr_'
  /usr/local/lib/libcblas.so: undefined reference to `icamax_'
  /usr/local/lib/libcblas.so: undefined reference to `dsymv_'
  /usr/local/lib/libcblas.so: undefined reference to `zhemv_'
  /usr/local/lib/libcblas.so: undefined reference to `ssyrk_'
  /usr/local/lib/libcblas.so: undefined reference to `srotm_'
  /usr/local/lib/libcblas.so: undefined reference to `drot_'
  /usr/local/lib/libcblas.so: undefined reference to `ztbmv_'
  cc: error: linker command failed with exit code 1 (use -v to see invocation)
  cc /tmp/tmpFiVPVw/tmp/tmpFiVPVw/source.o -L/usr/local/lib -lblas -o /tmp/tmpFiVPVw/a.out
  /tmp/tmpFiVPVw/tmp/tmpFiVPVw/source.o: In function `main':
  source.c:(.text+0xd1): undefined reference to `cblas_ddot'
  cc: error: linker command failed with exit code 1 (use -v to see invocation)
  Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "setup.py", line 250, in <module>
      setup_package()
    File "setup.py", line 247, in setup_package
      setup(**metadata)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/core.py", line 137, in setup
      config = configuration()
    File "setup.py", line 143, in configuration
      config.add_subpackage('scikits.umfpack')
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 1036, in add_subpackage
      caller_level = 2)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 1005, in get_subpackage
      caller_level = caller_level + 1)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 942, in _get_configuration_from_setup_py
      config = setup_module.configuration(*args)
    File "scikits/umfpack/setup.py", line 27, in configuration
      blas_info = get_info('blas_opt')
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 448, in get_info
      return cl().get_info(notfound_action)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 641, in get_info
      self.calc_info()
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 1661, in calc_info
      blas_info = get_info('blas')
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 448, in get_info
      return cl().get_info(notfound_action)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 641, in get_info
      self.calc_info()
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 1697, in calc_info
      lib = self.has_cblas(info)
    File "/usr/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 1740, in has_cblas
      extra_postargs=info.get('extra_link_args', []))
    File "/usr/local/lib/python2.7/distutils/ccompiler.py", line 700, in link_executable
      debug, extra_preargs, extra_postargs, None, target_lang)
    File "/usr/local/lib/python2.7/distutils/unixccompiler.py", line 202, in link
      raise LinkError, msg
  distutils.errors.LinkError: Command "cc /tmp/tmpFiVPVw/tmp/tmpFiVPVw/source.o -L/usr/local/lib -lblas -o /tmp/tmpFiVPVw/a.out" failed with exit status 1

  PR:		240937
  Reported by:	pkg-fallout

Changes:
  head/math/py-scikit-umfpack/Makefile
Comment 5 commit-hook freebsd_committer 2019-10-25 15:41:46 UTC
A commit references this bug:

Author: jbeich
Date: Fri Oct 25 15:41:01 UTC 2019
New revision: 515616
URL: https://svnweb.freebsd.org/changeset/ports/515616

Log:
  graphics/caffe: unbreak consumers after r515313

  games/pachi-game-engine:
    In file included from caffe.cpp:12:
    In file included from /usr/local/include/caffe/caffe.hpp:9:
    In file included from /usr/local/include/caffe/filler.hpp:13:
    In file included from /usr/local/include/caffe/util/math_functions.hpp:11:
    /usr/local/include/caffe/util/mkl_alternate.hpp:14:10: fatal error: 'cblas.h' file not found
    #include <cblas.h>
  	   ^~~~~~~~~

  PR:		240937
  Reported by:	pkg-fallout

Changes:
  head/graphics/caffe/Makefile
Comment 6 commit-hook freebsd_committer 2020-01-22 12:53:12 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan 22 12:52:56 UTC 2020
New revision: 523805
URL: https://svnweb.freebsd.org/changeset/ports/523805

Log:
  graphics/caffe: drop math/cblas dependency after r523749

  PR:		231371 240937

Changes:
  head/graphics/caffe/Makefile